Watchers autocomplete fails with 403 error when the search is made from multiple objects with

different projects

2022-01-18 12:45 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.4   

Resolution: Fixed Affected version:  

Description

Autocomplete is broken when bulk adding watchers for issues from different projects.

How to reproduce:

1. Open /issues.

2. Select two issues from different projects.

3. Press RMB.

4. Watchers => Add.

5. List of users will be shown.

6. Try to filter users.

This is happens because WatchersController can't find project for New and Autocomplete_for_user actions and authorize a user.

Associated revisions

Revision 21394 - 2022-02-01 21:11 - Marius BĂLTEANU

Fix autocomplete for users fails with 403 error when there are multiple objects from different projects (#36446).

Patch by Dmitry Makurin.

Revision 21397 - 2022-02-02 07:42 - Marius BĂLTEANU

Merged r21394 to 4.2-stable (#36446).

History

#1 - 2022-01-18 12:46 - Dmitry Makurin 

- File 36446.patch added

#2 - 2022-01-19 03:47 - Go MAEDA

- Tracker changed from Patch to Defect

- Category set to UI

- Status changed from New to Confirmed

Confirmed the issue. WatchersController#autocomplete_for_user returns 403 and the autocomplete does not work.

Started GET "/watchers/autocomplete_for_user?object_type=issue&q=dave" for 127.0.0.1 at 2022-01-19 11:42:57 +0

900

Processing by WatchersController#autocomplete_for_user as */*

  Parameters: {"object_type"=>"issue", "q"=>"dave"}

  Current user: admin (id=1)

  Rendered common/error.html.erb (Duration: 1.2ms | Allocations: 228)

Filter chain halted as :authorize rendered or redirected

Completed 403 Forbidden in 17ms (Views: 2.5ms | ActiveRecord: 10.8ms | Allocations: 1896)

#3 - 2022-01-19 04:00 - Go MAEDA

- Target version set to Candidate for next minor release
#4 - 2022-01-25 09:02 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#5 - 2022-01-30 20:25 - Marius BĂLTEANU

- Target version changed from Candidate for next minor release to 4.1.6

#6 - 2022-02-01 21:12 - Marius BĂLTEANU

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fix committed, thanks!

#7 - 2022-02-02 07:44 - Marius BĂLTEANU

- Target version changed from 4.1.6 to 4.2.4

Changing target version to 4.2.4 because the change has conflicts on 4.1-stable.

#8 - 2022-02-02 07:45 - Marius BĂLTEANU

- Subject changed from Autocomplete for users fails with 403 error to Watchers autocomplete fails with 403 error when the search is made from

multiple objects with different projects

#9 - 2022-02-02 08:08 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

36446.patch 3.25 KB 2022-01-18 Dmitry Makurin 
